-- vertex
#version 330 core

layout(location = 0) in vec4 pos;
layout(location = 0) in vec2 texCoord;

uniform mat4 mv;
uniform mat4 proj;

out vec2 tex;

void main(void)
{
	tex         = texCoord;
	gl_Position = proj * mv * vec4 ( pos.xyz, 1.0 );
}

-- fragment
#version 330 core

in  vec2 tex;
out vec4 			color;		// output value

void main ()
{
	color = vec4 ( 1, 1, 0, 1 );
	color = vec4 ( tex, 0, 1 );
}